summaryrefslogtreecommitdiff
path: root/rhnop-client/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'rhnop-client/debian/postinst')
-rwxr-xr-xrhnop-client/debian/postinst9
1 files changed, 9 insertions, 0 deletions
diff --git a/rhnop-client/debian/postinst b/rhnop-client/debian/postinst
new file mode 100755
index 0000000..be17051
--- /dev/null
+++ b/rhnop-client/debian/postinst
@@ -0,0 +1,9 @@
+#!/bin/sh
+# postinst script for rhnop-client
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ adduser --quiet --system --group --no-create-home --home /var/run/rhnop rhnop
+ chgrp rhnop /etc/rhnop/nopcollectd.*.conf
+fi